package com.hzya.frame.u9c.bom.main.entity;

import com.hzya.frame.web.entity.BaseEntity;
/**
 * (VHzyaBomMain)实体类
 *
 * @author xiang2lin
 * @since 2023-11-01 15:23:58
 */
public class VHzyaBomMainEntity extends BaseEntity {
 

    private String def1;//是否推送门店， True才推送
    private String id;
    
    private String skuCode;
    
    private String name;
    
    private String code;
    
    private String versionCode;
    
    private String classify;
    
    private String productionPurpose;
    
    private String batch;
    
    private String mainBatch;
    
    private String effectiveDate;
    
    private String loseEfficacyDate;
    
    private String modifyTime;



    public String getSkuCode() {
        return skuCode;
    }

    public void setSkuCode(String skuCode) {
        this.skuCode = skuCode;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getVersionCode() {
        return versionCode;
    }

    public void setVersionCode(String versionCode) {
        this.versionCode = versionCode;
    }

    public String getClassify() {
        return classify;
    }

    public void setClassify(String classify) {
        this.classify = classify;
    }

    public String getProductionPurpose() {
        return productionPurpose;
    }

    public void setProductionPurpose(String productionPurpose) {
        this.productionPurpose = productionPurpose;
    }

    public String getBatch() {
        return batch;
    }

    public void setBatch(String batch) {
        this.batch = batch;
    }

    public String getMainBatch() {
        return mainBatch;
    }

    public void setMainBatch(String mainBatch) {
        this.mainBatch = mainBatch;
    }

    public String getEffectiveDate() {
        return effectiveDate;
    }

    public void setEffectiveDate(String effectiveDate) {
        this.effectiveDate = effectiveDate;
    }

    public String getLoseEfficacyDate() {
        return loseEfficacyDate;
    }

    public void setLoseEfficacyDate(String loseEfficacyDate) {
        this.loseEfficacyDate = loseEfficacyDate;
    }

    public String getModifyTime() {
        return modifyTime;
    }

    public void setModifyTime(String modifyTime) {
        this.modifyTime = modifyTime;
    }

    public String getDef1() {
        return def1;
    }

    public void setDef1(String def1) {
        this.def1 = def1;
    }
}

